libfile-which-perl_1.09-1_all.deb


Advertisement

Description

libfile-which-perl - Perl module for searching paths for executable programs

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main i386
Package filename libfile-which-perl_1.09-1_all.deb
Package name libfile-which-perl
Package version 1.09
Package release 1
Package architecture all
Package type deb
Category perl
Homepage http://search.cpan.org/dist/File-Which/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.36 KB
Installed size 60.00 KB
File::Which simulates the behavior of the standard 'which' program: it
searches directories of a user's PATH (as returned by File::Spec)
looking for executable files matching a given name.
On Debian /usr/bin/which is guaranteed to be available, but going
through the Perl implementation can still save a fork.

Alternatives

Package Version Architecture Repository
libfile-which-perl_1.09-1_all.deb 1.09 all Ubuntu Main
libfile-which-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libfile-which-perl_1.09-1_all.deb
Source Package libfile-which-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfile-which-perl deb package:
    # sudo apt-get install libfile-which-perl

Files

Path
/usr/share/doc/libfile-which-perl/changelog.Debian.gz
/usr/share/doc/libfile-which-perl/copyright
/usr/share/doc/libfile-which-perl/examples/pwhich
/usr/share/man/man3/File::Which.3pm.gz
/usr/share/perl5/File/Which.pm

Changelog

2012-02-19 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libfile-which-perl (1.09-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
[ gregor herrmann ]
* debian/control: Changed: (build-)depend on perl instead of perl-
modules.
* debian/control: add perl (>= 5.10.1) as an alternative build dependency
for Pod::Simple.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Florian Schlichting ]
* Updated package description (closes: #644701).
* Switched to source format 3.0 (quilt).
* Bumped debhelper compatibility to 8 (no changes).
* Raised Standards-Version to 3.9.2 and refreshed debian/copyright.
* Added myself to Uploaders.
[ Salvatore Bonaccorso ]
* Update description of ignore-pwhich.patch patch
* Simplify versioned Build-Depends-Indep.
Change versioned Build-Depends-Indep already satisfied in Lenny to
unversioned Build-Depends-Indep.
2009-09-20 - Jonathan Yu <jawnsy@cpan.org>
libfile-which-perl (1.08-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Bug fixes to pwhich command
* Require perl-modules 5.10.1 or higher, for Test::More >= 0.80
[ Ryan Niebur ]
* Update jawnsy's email address
2009-08-20 - Jonathan Yu <frequency@cpan.org>
libfile-which-perl (1.07-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Removed: XS-
Vcs-Svn fields.
* debian/watch: use dist-based URL.
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Jonathan Yu ]
* New upstream release
+ Changed platform detection code to constants, so that if() statements
are optimized during compile-time (constant folding)
+ Move from Test.pm to Test::More
* Remove .install and .docs, I don't think they're needed
* Bump compat to 7, use new debhelper short rules format
* Added myself to uploaders
* Update gregoa's e-mail address
* Added ADAMK's test modules and set AUTOMATED_TESTING=1
* Updated copyright
* Add README.source and patch to prevent pwhich installation
[ gregor herrmann ]
* Set Standards-Version to 3.8.3 (no changes).
2006-10-01 - gregor herrmann <gregor+debian@comodo.priv.at>
libfile-which-perl (0.05-7) unstable; urgency=low
* Use $(CURDIR) [make] instead of $(PWD) [sh] to fix issues with sudo.
2006-06-16 - gregor herrmann <gregor+debian@comodo.priv.at>
libfile-which-perl (0.05-6) unstable; urgency=low
* Moved debhelper to Build-Depends.
* Set Standards-Version to 3.7.2 (no changes).
* Set Debhelper Compatibility Level to 5.
2004-05-26 - Daniel Ruoso <daniel@ruoso.com>
libfile-which-perl (0.05-5) unstable; urgency=low
* Adopting package.
2004-02-07 - Ardo van Rangelrooij <ardo@debian.org>
libfile-which-perl (0.05-4) unstable; urgency=low
* debian/copyright: updated
2003-12-13 - Ardo van Rangelrooij <ardo@debian.org>
libfile-which-perl (0.05-3) unstable; urgency=low
* debian/control: now really changed build dependency on 'debhelper' to
'(>= 4.1)'
* debian/control: upgraded to Debian Policy 3.6.1 (no changes)
2003-07-26 - Ardo van Rangelrooij <ardo@debian.org>
libfile-which-perl (0.05-2) unstable; urgency=low
* debian/rules: moved debhelper compatibility level setting to
'debian/compat' per latest debhelper best practices
* debian/control: updated sections according to latest archive changes:
- 'libfile-which-perl' from 'interpreters' to 'perl'
* debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
* debian/control: upgraded to Debian Policy 3.6.0 (no changes)
2002-10-26 - Ardo van Rangelrooij <ardo@debian.org>
libfile-which-perl (0.05-1) unstable; urgency=low
* Initial Release
(closes: Bug#166553)

See Also

Package Description
libfilehandle-fmode-perl_0.13-1build1_i386.deb Perl module for checking filehandle status
libfindlib-ocaml-dev_1.4-2_i386.deb library for managing OCaml libraries (development files)
libfindlib-ocaml_1.4-2_i386.deb library for managing OCaml libraries (runtime)
libfl-dev_2.5.35-10.1ubuntu2_i386.deb static library for flex (a fast lexical analyzer generator)
libflac++-dev_1.3.0-2_i386.deb Free Lossless Audio Codec - C++ development library
libflac++6_1.3.0-2_i386.deb Free Lossless Audio Codec - C++ runtime library
libflac-dev_1.3.0-2_i386.deb Free Lossless Audio Codec - C development library
libflac-doc_1.3.0-2_all.deb Free Lossless Audio Codec - library documentation
libflac8_1.3.0-2_i386.deb Free Lossless Audio Codec - runtime C library
libflite1_1.4-release-8_i386.deb Small run-time speech synthesis engine - shared libraries
libfltk1.1-dev_1.1.10-17_i386.deb Fast Light Toolkit - development files
libfltk1.1_1.1.10-17_i386.deb Fast Light Toolkit - shared libraries
libfolks-dev_0.9.5-1ubuntu5_i386.deb library to aggregates people into metacontact - development files
libfolks-eds-dev_0.9.5-1ubuntu5_i386.deb Evolution-data-server backend for libfolks - development files
libfolks-eds25_0.9.5-1ubuntu5_i386.deb Evolution-data-server backend for libfolks
Advertisement
Advertisement